Module
Contents
Index 🔎︎

# Sin Function

Returns the sine of an angle. The angle is specified in radians. The result lies in the range -1.0 to +1.0.

Using the angle Alpha, the Sin Function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

## Syntax:

    Sin (Number)

## Return value:

Double

## Parameters:

Number: Numeric expression that defines the angle in radians for which you want to calculate the sine.

To convert degrees to radians, multiply degrees by Pi/180 and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is here the fixed circle constant with the rounded value 3.1415926...

## Error codes:

5 Invalid procedure call

## Example:

    ' In this example, the following entry is possible for a right-angled triangle:

    ' The side opposite the angle and the angle (in degrees) to calculate the length of the hypotenuse:

    Sub ExampleSine

    ' Pi = 3.1415926... is a predefined variable

    Dim d1 As Double

    Dim dAlpha As Double

        d1 = InputBox("Enter the length of the opposite side: ","Opposite Side")

        dAlpha = InputBox("Enter the angle Alpha (in degrees): ","Alpha")

        Print "The length of the hypotenuse is"; (d1 / sin (dAlpha * Pi / 180))

    End Sub